module.exports = {
    lintOnSave: false,
    devServer: {
      host:'0.0.0.0',
      port:8000, // 服务端口 
      // port:8080,
      open: true,//配置自动启动浏览器 
      proxy: { // 设置代理
      '/metroapi': {
        target: 'http://192.168.20.58:8086',//
        changeOrigin: true, //允许跨域
        pathRewrite: {
            '^/metroapi': ''
            }
        },
        // '/apis': {
        //   target: 'http://192.168.20.54:7777',//
        //   changeOrigin: true, //允许跨域 再设立一个可以跨不同的域
        //   pathRewrite: {
        //       '^/apis': ''
        //       }
        //   }
      },
    },
    publicPath: process.env.NODE_ENV === 'production' ? './' : '/', //部署后请求路径
    outputDir:'dist', // 打包的目录
    // css: { // 全局引用common.styl文件夹，在main.js中引用不起作用
    //   loaderOptions: {
    //     // 给 stylus-loader 传递选项
    //     stylus: {
    //       import: '~@/assets/styles/common.styl'
    //     } 
    //   } 
    // },
    // chainWebpack: (config) => {
    //   config.entry('main').add('babel-polyfill');
    // },
    // transpileDependencies: [
    //   'view-design'  // 指定对第三方组件也进行babel-polyfill处理
    // ]
};